%define	name	screenie
%define	release	%mkrel 1
%define	version	1.0.5

Name:		%name
Summary:	A simple screenshot utility.
Summary(de):	Ein einfaches Screenshot Werkzeug
Source:		%{name}-%{version}.tar.xz
Version:	%{version}
Release:	%{release}
Group:		Graphics
License:	GPLv2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
#Requires:	gpicview
Requires:       bash
Requires:       yad >= 0.15.0
Requires:		gtkdialog
Requires:		scrot
BuildArch:      noarch 

%description    
A simple script for creating a screenshot.
Now with the option to choose the name of the screenshot and the 
directory in which it will be saved.
New: Choose your personal settings - window framing on or off and 
datestamped or not datestamped..

You like it, and want to translate it to your native language?
Use the pot file under %{_docdir}/screenie/screenie.pot, and send
it to meisssw01 at aol.com.

#german
%description -l de
Ein einfaches Skript zur Erstellung eines Screenshots.
Jetzt mit der Option, den Namen des Screenshot zu wählen und das Verzeichnis, 
in dem sie gespeichert werden sollen. Neu: Speichern Sie ihre persönliche 
Einstellungen - Fenster aufnehmen mit oder ohne Fensterrahmen, speichern mit 
oder ohne Zeitangabe.

%files          
%{_bindir}/%{name}
%{_datadir}/applications/
%{_iconsdir}/%{name}.png
%{_datadir}/locale/*
%doc Readme.txt COPYING languages/%{name}.pot

#-----------------------------------------------------------------------------------------------

%prep
%setup -q


%install 
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 screenie.desktop %{buildroot}%{_datadir}/applications/screenie.desktop

mkdir -p %{buildroot}%{_datadir}/icons
install -m 644 screenie.png %{buildroot}%{_datadir}/icons/screenie.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,es}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-es_ES.po

%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version} 

%post
%update_menus

%postun
%clean_menus

#-----------------------------------------------------------------------------------------------

%changelog
* Sat Oct 17 2015 daniel <meisssw01 at gmail.com> 1.0.5-1free2015
- change tmp directory

* Wed Jan 15 2014 daniel <meisssw01 at gmail.com> 1.0.4-1free2014
- rewrite settings dialog

* Sun Jan 12 2014 daniel <meisssw01 at gmail.com> 1.0.3-1free2014
- fix bug by closing app

* Mon Oct 21 2013 daniel <meisssw01 at gmail.com> 1.0.2-1free2013
- move gpicview as required tool
- change preview 
- renamed the options

* Tue Jun 25 2013 daniel <meisssw01 at gmail.com> 1.0.1-1free2013
- rewrite gui, clean script

* Mon May 06 2013 daniel <meisssw01 at gmail.com> 1.0.0-1pclos2013
- rewrite first shot
- rename fast-shot to save
- add thumb-display in gui
 
* Thu Apr 18 2013 daniel <meisssw01 at gmail.com> 0.6.0-1pclos2013
- move xwd to scrot

* Wed Feb 08 2012 leiche <meisssw01 at gmail.com> 0.5.7-1leiche2012
- add Spain language, translated by Crow

* Wed Jan 18 2012 leiche <meisssw01 at gmail.com> 0.5.6-2leiche2012
- rebuild
 
* Thu Dec 08 2011 leiche <meisssw01 at gmail.com> 0.5.6-1leiche2011
- 0.5.6

* Thu Oct 13 2011 leiche <meisssw01 at gmail.com> 0.5.5-2leiche2011
- 0.5.5

* Sun Sep 04 2011 Neal <nealbrks0 at gmail dot com> 0.5.1-2pclos2011
- build 64-bit package

* Sat Feb 26 2011 leiche <meisssw01 at aol.com> 0.5.1-2leiche2011
- change description on datestamp in German language
 
* Fri Feb 25 2011 leiche <meisssw01 at aol.com> 0.5.1-1leiche2011
- add timestamp in personal settings, to click on or off.

* Tue Feb 22 2011 leiche <meisssw01 at aol.com> 0.5-2leiche2010
- fix german language

* Mon Feb 21 2011 leiche <meisssw01 at aol.com> 0.5-1leiche2010
- add personal settings

* Thu Sep 02 2010 leiche <meisssw01 at aol.com> 0.4-2pclos2010
- fix script
 
* Tue Aug 31 2010 leiche <meisssw01 at aol.com> 0.4-1pclos2010
- add xwd for screenshot
- add click on window to take a window shot
- fixed black area in screenshot bug

* Fri Aug 27 2010 leiche <meisssw01 at aol.com> 0.3-1pclos2010
- add entry box to set the time to take a screenshot!
- add internationalization to translate screenie in other languages

* Sun Aug 01 2010 leiche <meisssw01 at aol.com> 0.2-3pclos2010
- add gpicview as image viewer, to open the screenshot...

* Tue Jul 27 2010 leiche <meisssw01 at aol.com> 0.2-2pclos2010
- fix script

* Sun Jul 11 2010 Neal <nealbrks0 at gmail.com> 0.2-1pclos2010
- updated script with save-to and name options
- add german synaptic description (leiche)

* Thu Jun 24 2010 Neal <nealbrks0 at gmail.com> 0.1-1pclos2010
- New Package

